
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rubik+Wet+Paint&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito&display=swap');

@font-face {
    font-family: 'remixicon';
    src: url('../fonts/remixicon.ttf');
    /*    font-weight: 900;
    font-style: italic;*/
}

@font-face {
    font-family: 'testfont';
    src: url('../fonts/CNRGN_wider.ttf');
    /*    font-weight: 900;
    font-style: italic;*/
}


:root {
    --font-family-1: 'Nunito', sans-serif;
    --font-family-2: 'remixicon', sans-serif;
    --font-family-3: 'testfont', sans-serif;
    --font-family-4: 'Rubik Wet Paint', sans-serif;
}


html, body {
    font-family: var(--font-family-1);
    color: var(--color-body-font);
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

/*.content {*/
/*padding-top: 1.1rem;*/
/*}*/

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


/* Chrome, Safari, Edge, Opera */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


input:focus, textarea:focus {
    border: 3px solid var(--color2);
    outline: none;
}


.app-inputBox {
    width: 100%;
    text-align: center;
    height: 100%;
    border-radius: 4px;
    border: 1px solid #A9A9A9;
    background-color: white;
    padding-left: 10px;
    padding-right: 10px;
}

    .app-inputBox:disabled {
        background-color: #E8E8E8;
        border: none;
    }

.app-table {
    font-family: var(--font-family-2);
    color: var(--color-body-font);
    background-color: white;
}

    .app-table thead {
        position: sticky;
        top: 56px;
        z-index: 5;
        font-weight: 600;
    }


    .app-table th {
        position: sticky;
        top: 56px;
        height: 40px;
        border-bottom-width: 1px;
        background-color: var(--color8);
        font-weight: 600;
        border-bottom: 1px solid black;
        text-align: left;
    }

    .app-table tr:nth-child(odd) {
        background-color: var(--color9);
    }

    .app-table tr:nth-child(even) {
        background-color: var(--color10);
    }

    .app-table td {
        vertical-align: middle;
        height: 45px;
    }


    .app-table th {
        vertical-align: middle;
        height: 45px;
    }

.app-error-row {
    background-color: palevioletred !important;
    color: white;
}


.businessLogo {
    width: 300px;
}


.highlight {
    background-color: #B2FFFF !important;
    color: black !important;
}

.app-validation-error {
    border: 3px solid var(--color-danger) !important;
}



ul {
    margin-bottom: 1rem !important;
    padding-left: 2rem !important;
    list-style: disc;
}


.modal-header {
    font-size: 25px;
    font-weight: 500;
    background-color: var(--color1-light);
}

.app-card {
    background-color: white;
    border-radius: 20px;
    padding: 30px;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
}

.app-card-heading {
    font-weight: 600;
    font-size: 16px;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--color-gray2);
    margin-bottom: 10px;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
}

.app-card-body {
    display: flex;
    flex-flow: column nowrap;
    gap: 20px;
}

.app-card-filters {
    gap: 20px;
    display: flex;
    padding: 24px;
    flex-flow: row wrap;
    align-items: flex-end;
    background-color: var(--color5);
    color: black;
    margin-bottom: 20px;
}

.app-jcList-Heading {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    background-color: var(--color8);
    font-weight: 600;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    padding: 5px 10px;
}


.app-jcList {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
}

    .app-jcList > * {
        padding: 5px 10px;
    }

    .app-jcList:nth-of-type(2n) {
        background-color: var(--color9);
    }

    .app-jcList:nth-of-type(2n+1) {
        background-color: var(--color10);
    }



.app-doc-card-container {
    display: flex;
    flex-flow: column nowrap;
    gap: 10px;
}

.app-doc-card {
    display: flex;
    flex-flow: row nowrap;
    color: #23A352;
    border-radius: 10px;
    cursor: pointer;
    padding: 10px;
    justify-content: space-between;
    background-color: var(--color17);
    border: 1px solid #66FF99;
    transition: transform 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
}

    .app-doc-card:hover {
        transform: translateY(-3px);
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2), 0 12px 18px rgba(0, 0, 0, 0.2);
    }


.app-doc-expired {
    background-color: #F2D1D1;
    border-color: #DE9797;
    color: red;
}

.app-doc-nearlyExpired {
    background-color: #FFD580;
    border-color: orangered;
    color: orangered;
}

.app-doc-superseded {
    color: gray;
    font-weight: 400;
    background-color: var(--color5);
    border-color: lightgray;
}

.app-prop-container {
    display: grid;
    grid-template-columns: 120px 1fr;
    width: 100%;
}

.app-prop-heading {
    background-color: var(--color8);
    padding: 10px 10px;
    font-weight: 600;
}

.app-prop-value {
    border: 3px solid var(--color8);
    padding: 5px 10px;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
}

.app-prop-value-disabled {
    background-color: #EAF0FD;
}

.app-breakdown {
    display: grid;
    grid-template-columns: 60px 1fr 100px 100px 100px 150px 25px;
    width: 100%;
    grid-column-gap: 5px;
    background-color: white;
}

.app-breakdown-heading-container {
    background-color: var(--color8);
    padding: 13px 13px 5px 13px;
}

.app-breakdown-heading {
    width: 100%;
    color: white;
    background-color: var(--color8);
}

    .app-breakdown-heading > * {
        background-color: #62718C;
        /*        border-radius: 10px;*/
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 3px;
    }


.app-breakdown-container {
    border: 3px solid var(--color8);
    padding: 10px 10px 2px 10px;
    display: flex;
    flex-flow: column nowrap;
    gap: 5px;
    background-color: var(--color9);
}

.app-addLineButton {
    background-color: var(--color2);
    color: white;
    padding: 5px 10px;
    border-radius: 5px;
}

    .app-addLineButton:hover {
        opacity: 0.7;
    }


.app-fade {
    transition: opacity 0.5s ease-in-out; /* Adjust the duration as needed */
    opacity: 1;
}

.app-fade-hidden {
    opacity: 0;
}

.app-modal-dialog {
    max-width: 1200px;
    min-width: 900px;
    margin: 1.75rem auto;
}

.app-link {
    color: blue;
    cursor: pointer; 
}

    .app-link:hover {
        color: darkblue; 
    }


.app-cardContainer {
    display: grid;
    grid-template-columns: 1fr;
    margin-top: 20px;
    gap: 20px;
    width: 100%;
    max-width: 1500px;
}


@media (min-width: 1250px) {

    .app-cardContainer {
        grid-template-columns: 1fr 1fr;
    }
}
